export default AudioMessage;
declare class AudioMessage extends React.Component<any, any, any> {
    static propTypes: {
        objectId: propType.Requireable<string>;
        duration: propType.Requireable<number>;
        fileType: propType.Requireable<string>;
        regPlayer: propType.Requireable<(...args: any[]) => any>;
    };
    constructor(props: any);
    constructor(props: any, context: any);
    state: {
        isPlay: boolean;
        duration: number;
        src: string;
        $audio: null;
        playingTimer: null;
        loading: boolean;
        invalidSource: boolean;
    };
    componentDidMount(): void;
    componentWillUnmount(): false | undefined;
    init(): void;
    handleToggleAudio: () => false | undefined;
    countDownDuration: () => void;
    resetPlayer: () => void;
    renderAudioBtn: (isMe: any, isPlay: any) => any;
    render(): JSX.Element;
}
import React from "react";
import propType from "prop-types";
